Poll generation progress
HTTP fallback for generation progress. The dashboard normally uses /api/ws/{demoId}; this endpoint returns the current generation state.
GET
/api/progress/{demoId}
HTTP fallback for generation progress. The dashboard normally uses /api/ws/{demoId}; this endpoint returns the current generation state.
Path Parameters
demoId
string
required
path
Responses
200
Progress state
application/jsonevents
object[]
REQUIRED
Array of:
step
string
REQUIRED
message
string
REQUIRED
detail
string
progress
number
elapsed
number
videoUrl
string
timestamp
number
REQUIRED
startedAt
number | null
REQUIRED
curl -X GET 'https://littledemo.com/api/progress/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/progress/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://littledemo.com/api/progress/string', headers=headers)print(response.json())
200
Response
{ "events": [ { "step": "<string>", "message": "<string>", "detail": "<string>", "progress": 123, "elapsed": 123, "videoUrl": "<string>", "timestamp": 123 } ], "startedAt": 123}
API Playground
Try this endpoint
GET
/api/progress/{demoId}